Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.common
Interface IApplicationViewDescriptor.IAdapterInstance

All Superinterfaces:
  Serializable

Enclosing interface:
  IApplicationViewDescriptor

    public static interface IApplicationViewDescriptor.IAdapterInstance

extends Serializable

This interface defines an internal reference to an adapter instance from within an ApplicationView (acts something like an 'import').

Method Summary
`String` | `getAdapterLogicalName()` Get the logical name associated with this adapter instance.
`String` | `getAliasName()` Get the name by which this adapter instance is known within this ApplicationView.
`String` | `getID()` Get the server-wide ID for the adapter instance that will be used at runtime for ApplicationViews based off this IApplicationViewDescriptor.
`String` | `getName()` Get the qualified name for the adapter instance descriptor.
`boolean` | `isOwned()`

Method Detail

### getAliasName

    String getAliasName()

  Get the name by which this adapter instance is known within this ApplicationView. This is like the local alias for this adapter instance.

### getName

    String getName()

  Get the qualified name for the adapter instance descriptor.

  Returns:
    The qualified name (as a String) of the adapter instance, or null if none has been set.

### getID

    String getID()

  Get the server-wide ID for the adapter instance that will be used at runtime for ApplicationViews based off this IApplicationViewDescriptor.

  Returns:
    The server-wide ID of the adapter instance, or null if none has been set.

### getAdapterLogicalName

    String getAdapterLogicalName()

  Get the logical name associated with this adapter instance.

  Returns:
    The logical name for the associated adapter or null if one has not been associated

### isOwned

    boolean isOwned()

  Returns:
    true if the adapter instance referenced by this application view is owned solely by this application view, false not solely referenced by this application view.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD